<?php

require_once 'lib.php';
require_once 'db.php';

updateConfig();
$config = getConfig();
$cookie = $config['cookie'];
$viewState = $config['viewState'];
$ids = json_decode($config['ids_for_one_oto'], true);

$db = new db();
$ptos = $db->query('SELECT _id FROM ptos WHERE lat IS NULL OR lon IS NULL OR lat = 0 OR lon = 0')->all();

foreach ($ptos as $pto) {
    $ptoHtml = getPto($pto['_id'], $viewState, $cookie, $ids);
    $ptoData = parseHtmlPto($ptoHtml);
    updatePtoCoordinates($pto['_id'], $ptoData);
}